package cn.iocoder.yudao.module.system.service.biz;


import cn.iocoder.yudao.framework.common.pojo.CommonResult;
import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.AskLeavePageReqVO;
import cn.iocoder.yudao.module.system.controller.admin.biz.vo.ElderlyAskLeaveExportExcelVO;
import cn.iocoder.yudao.module.system.dal.dataobject.biz.ElderlyAskLeaveDO;

import javax.validation.Valid;
import java.util.List;

/**
 * 老人请假管理 Service 接口
 *
 * @author 管理员
 */
public interface ElderlyAskLeaveService {


    void createAskLeave(ElderlyAskLeaveDO createReqVO);

    void editAskLeave(ElderlyAskLeaveDO elderlyAskLeaveDO);

    void delete(Long id);

    PageResult<ElderlyAskLeaveDO> findPage(AskLeavePageReqVO reqVO);

    ElderlyAskLeaveDO getDetail(Long id);

    List<ElderlyAskLeaveExportExcelVO> getExportList(@Valid AskLeavePageReqVO reqVO);
}